package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 生产准备任务明细表
 * </p>
 *
 * @author Philip
 * @since 2021-06-23
 */

@TableName("Z_PROD_READY_TASK_DETAIL")

public class ProdReadyTaskDetail extends Model<ProdReadyTaskDetail> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 检验任务handle
     */
   @TableField("PROD_READY_TASK_BO")
   private String prodReadyTaskBo;
    /**
     * 检验参数
     */
   @TableField("INSPECTION_ITEM")
   private String inspectionItem;
    /**
     * 检验结果
     */
   @TableField("RESULT")
   private String result;
    /**
     * 备注
     */
   @TableField("REMARKS")
   private String remarks;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getProdReadyTaskBo() {
      return prodReadyTaskBo;
   }

   public void setProdReadyTaskBo(String prodReadyTaskBo) {
      this.prodReadyTaskBo = prodReadyTaskBo;
   }

   public String getInspectionItem() {
      return inspectionItem;
   }

   public void setInspectionItem(String inspectionItem) {
      this.inspectionItem = inspectionItem;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public String getRemarks() {
      return remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String PROD_READY_TASK_BO = "PROD_READY_TASK_BO";

public static final String INSPECTION_ITEM = "INSPECTION_ITEM";

public static final String RESLUT = "RESLUT";

public static final String REMARKS = "REMARKS";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ProdReadyTaskDetail{" +
         "handle = " + handle +
         ", prodReadyTaskBo = " + prodReadyTaskBo +
         ", inspectionItem = " + inspectionItem +
         ", result = " + result +
         ", remarks = " + remarks +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}